Subject: bug#35328: 27.0.50; Lisp reference, "Accepting Output": Should describe what happens to standard error

From: Philipp Stephani <[email-masked]>
Date: Mon, 22 Apr 2019 11:14:19 +0200

Am So., 21. Apr. 2019 um 21:12 Uhr schrieb Eli Zaretskii <[email-masked]>:
>
> > From: Philipp Stephani <[email-masked]>
> > Date: Sun, 21 Apr 2019 15:58:11 +0200
> > Cc: [email-masked]
> >
> > > > Does the code
> > > > (while (accept-process-output PROC))
> > > > also ensure that all of the standard error has been read and passed to
> > > > the filter/inserted into the buffer?
> > >
> > > I don't think I understand why you say that node doesn't already
> > > answer this question.  Why did you think standard error is special in
> > > this regard?
> >
> > The node doesn't describe what happens with standard error, e.g.
> > whether standard error is part of "output" and how it's handled.
>
> Well, it says "output", not "standard output".  I take it to mean both
> output streams.  If the text is interpreted to mean both streams, is
> it accurate?

I don't think so. At least empirically one has to wait for the
standard error process separately to ensure that all standard error is
read. I've sent a patch to extend the documentation to say that, is
that ok?